/***************************************************************************
                          moneylcd.cpp  -  description
                             -------------------
    begin                : Wed Mar 23 21:26:43 CEST 2005
    copyright            : (C) 2005 by Thomas Friedrichsmeier
    email                : tfry@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "moneylcd.h"

MoneyLCD::MoneyLCD (QWidget *parent) : QLCDNumber (7, parent) {
	setSegmentStyle (QLCDNumber::Flat);
}

MoneyLCD::~MoneyLCD () {
}

void MoneyLCD::setValue (float value) {
	if (value < 0.0) {
		setPaletteForegroundColor (QColor (255, 0, 0));
	} else {
		setPaletteForegroundColor (QColor (0, 0, 0));
	}
	display (QString::number (value, 'f', 2));
}

